
## opacity experiment

For any wikipedia page, show the text content but where every sentences has an opacity inversely proportional to its TextRank score.

Meaning sentences considered as _"relevant to be included in a summary of the article"_ becomes invisible; and what become visible is what would be considered as the _"boring and redundant"_.

### using

* textrank python implementation (https://github.com/summanlp/textrank) modified under `summa/` so it gives us all the sentences with their score.
* wikipedia python module (https://pypi.org/project/wikipedia/)

### to use

modify the variable `wikipedia_page` in `make.py` to whatever page then

        python3 make.py

### technical notes

* **headers opacities** where manually recomputed has average of their section, this is justified because otherwise their break the flow of the document (their shortness seems to either put them nearly full black or white otherwise, independantly of how textrank rank the paragraph in the sections)
* using the `.content` method of python wikipedia, we get **plain text plus header in wikitext**, but thing like `<p>`, `<ul>`, `<blockquote>`, etc all dissapeared. see if we want to craft a version using the `.html` method of python wikipedia, but it becomes more complex because of sentence tokenisation, probably need an index to keep track of their original div nested location.